DeluxHostAPI Reference
Storage files

Download a storage file

GET
/v1/services/{orderId}/storage/files/download

Ownership is checked before file access. Supports Range requests and 206 partial content. Snapshot paths are validated against the owned box.

Authorization

apiToken storage:files:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:files:read

Path Parameters

orderId*number

Query Parameters

path*string
snapshot?string

Header Parameters

Range?string

Response Body

Completed

response?fileapplication/octet-stream
Formatbinary
curl -X GET 'https://api.deluxhost.net/v1/services/0/storage/files/download?path=string' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
"string"